python-heatclient (4.3.0-3) unstable; urgency=medium

  * Avoid broken tests in py3.14 (Closes: #1123447).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Dec 2025 12:21:05 +0100

python-heatclient (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:19:04 +0200

python-heatclient (4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Sep 2025 09:10:39 +0200

python-heatclient (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:54:31 +0100

python-heatclient (4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:01:24 +0100

python-heatclient (4.0.0-2) unstable; urgency=medium

  * Removed /usr/bin alternative removal in {pre,post}rm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:04:30 +0200

python-heatclient (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 13:54:30 +0200

python-heatclient (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:18:51 +0200

python-heatclient (3.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-babel from (b-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 18:20:45 +0100

python-heatclient (3.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:51:34 +0200

python-heatclient (3.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 12:26:34 +0200

python-heatclient (3.2.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046345).
  * Correctly install heat.bash_completion in the package.

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 23:53:13 +0200

python-heatclient (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 12:10:30 +0200

python-heatclient (3.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Feb 2023 12:10:25 +0100

python-heatclient (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:15:16 +0200

python-heatclient (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 13:49:29 +0200

python-heatclient (2.5.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 10:41:48 +0100

python-heatclient (2.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Removed fix-import-from-collections.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 15:53:52 +0100

python-heatclient (2.4.0-3) unstable; urgency=medium

  * Add fix-import-from-collections.patch (Closes: #1002377).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Dec 2021 23:47:27 +0100

python-heatclient (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:32:35 +0200

python-heatclient (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Sep 2021 13:10:32 +0200

python-heatclient (2.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:02:00 +0200

python-heatclient (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3.9-use-encodebytes-not-encodestring.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Mar 2021 15:45:24 +0100

python-heatclient (2.2.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Add python3.9-use-encodebytes-not-encodestring.patch.
  * Install the heat bash-completion script.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 12:26:44 +0200

python-heatclient (2.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:33:29 +0200

python-heatclient (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2020 12:31:46 +0200

python-heatclient (2.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2020 10:03:32 +0200

python-heatclient (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:06:10 +0200

python-heatclient (2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Apr 2020 23:47:37 +0200

python-heatclient (1.18.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:21:38 +0200

python-heatclient (1.18.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 17:37:19 +0200

python-heatclient (1.17.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 05:03:29 +0200

python-heatclient (1.17.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Remove package versions when satisfied in Buster.
  * Run unit tests with installed Python package.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 13:36:27 +0100

python-heatclient (1.16.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:29:26 +0200

python-heatclient (1.16.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Depends on osc-lib (>= 1.11.0) to make sure we don't hit the class bug.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 00:18:54 +0200

python-heatclient (1.14.0-3) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:04:58 +0100

python-heatclient (1.14.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:51:55 +0000

python-heatclient (1.14.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 09:04:34 +0000

python-heatclient (1.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 23:59:54 +0000

python-heatclient (1.11.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 19:24:38 +0200

python-heatclient (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 13:01:16 +0000

python-heatclient (1.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 15:14:45 +0200

python-heatclient (1.0.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align depends with upstream.
  * d/rules: Use available python versions for tests.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 11:58:30 +0100

python-heatclient (0.8.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:32:10 +0000

python-heatclient (0.8.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Do not run Python 3.5 unit tests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 21:52:21 +0000

python-heatclient (0.8.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/control: Update uploaders.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 23 Sep 2015 16:38:15 -0400

python-heatclient (0.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jun 2015 17:31:23 +0200

python-heatclient (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Added Python3 support.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Mar 2015 01:03:37 +0100

python-heatclient (0.2.9-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Review (build-)depends for this release.
  * Calling testr directly (without python setup.py).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Apr 2014 16:13:27 +0800

python-heatclient (0.2.8-1) experimental; urgency=low

  * New upstream release.
  * Added --testr-args='--subunit  ' when calling testr.
  * New (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2013 14:46:19 +0800

python-heatclient (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * Add build-depends on python-mock (>= 0.8.0), python-pbr (>= 0.5.20) and
    python-d2to1 (>= 0.2.11) (Closes: #724174).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2013 02:21:28 +0000

python-heatclient (0.2.3-1) unstable; urgency=low

  [ Thomas Goirand ]
  * New upstream release.
  * Added export OSLO_PACKAGE_VERSION=$(VERSION) in debian/rules.
  * VCS fields now using canonical URLs.
  * Added build-depends: python-mimeparse (>= 0.1.4), python-testscenarios,
    python-yaml and testrepository.

  [ Prach Pongpanich ]
  * Dropped build-depends: python-nose.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jul 2013 16:03:22 +0800

python-heatclient (0.2.2-3) unstable; urgency=low

  [ Prach Pongpanich ]
  * Drop dependency on python-argparse (Closes: #710718)

  [ Thomas Goirand ]
  * Make the drop of the python-argparse conditional (eg: it don't drop the
    dependency if building in Wheezy).
  * Allow the unit tests to fail if running in Wheezy (because of the lack of
    the python-argparse build-depends).

 -- Prach Pongpanich <prachpub@gmail.com>  Sun, 02 Jun 2013 07:01:12 +0700

python-heatclient (0.2.2-2) unstable; urgency=low

  * Added missing dependency python-setuptools-git (Closes: #710576), thanks to
    Jeremy Bicha for reporting.
  * Ran wrap-and-sort.

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Jun 2013 09:23:44 +0800

python-heatclient (0.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #705231)

 -- Prach Pongpanich <prachpub@gmail.com>  Thu, 11 Apr 2013 12:03:51 +0700
